
@import url("https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&display=swap");

* {
  font-family: "Lato", sans-serif;
  /* 
  https://www.w3schools.com/css/css_boxmodel.asp
   https://www.w3schools.com/css/css_margin.asp
   https://www.w3schools.com/css/css_padding.asp
  */
  margin: 0;
  padding: 0;
  //https://www.w3schools.com/css/css3_box-sizing.asp
  box-sizing: border-box;
  //https://stackoverflow.com/questions/1158515/difference-between-outline-and-border
  outline: none;
  border: none;
  //https://www.w3schools.com/cssref/pr_text_text-decoration.asp
  text-decoration: none;
  //https://www.w3schools.com/cssref/pr_text_text-transform.asp
  text-transform: capitalize;
  // https://www.impressivewebs.com/css3-transition-all/
  transition: all 0.2s linear;
  transition: width none;
}


html {
  background-color: $background_t;

  ////////////
  // https://stackoverflow.com/questions/28988445/css-62-5-why-do-developers-use-it#:~:text=The%20short%20answer%3A,easier%20to%20calculate%20REM%20units.
  // font-size: 62.5%;
  font-size: 62.5%;
  overflow-x: hidden;
  // https://www.youtube.com/watch?v=_Yi015ZC21U
  scroll-padding-top: 5rem;
  scroll-behavior: smooth;
}

 
body {
  height: 300rem;
}